package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;

public class MainEmployeeSerialization2 {
    public static void main(String[] args) throws IOException {
        Employee2 e = new Employee2();
        e.setId("1");
        e.setName("Jack");
        e.setSalary(3000);
        e.setPhoneNumber("111-111-111");
        e.setEmail("jack@example.com");
        System.out.println("-- before serialization --");
        System.out.println(e);

        ObjectMapper om = new ObjectMapper();
        String jsonString = om.writeValueAsString(e);
        System.out.println("-- after serialization --");
        System.out.println(jsonString);
    }
}